PyCharm 2017.1 EAP 8 发布,支持 Vue.js

来源: OSCHINA
编辑: 局长
2017-02-23

PyCharm 2017.1 EAP 8 发布了,这是 PyCharm 2017.1 的第 8 个 Early Access Program (EAP) 版。本次主要更新如下:

新特性:

Vue.js 初始支持。Vue 是一个 MVVM(Model-View-ViewModel)JavaScript 框架,它变得越来越流行。要使用该功能,需要先安装 Vue.js 插件可通过 Settings | Plugins | Install JetBrains Plugins,然后选择 Vue.js 进行安装。(仅限专业版使用)

Bug 修复

  • 新数据视图的几个问题已解决。如果在一个项目中使用 numpy 或 pandas,可以通过调试并点击 'View as numpy array' 或 'View as pandas DataFrame' 来查看适当的变量。有关此功能的更多信息,请参阅 EAP 5 博客文章

  • 类型注释的修复

  • 改进调试器

  • 平台增强

有关此版本中改进的详细信息,请参阅发行说明

发布主页下载地址

展开阅读全文
8 收藏
分享
加载中
精彩评论
webstormwebstorm干嘛去了
2017-02-23 17:09
2
举报
其实重点的vue.js这个插件,jetbarin系IDE自带的插件库都有,我是IDEA终极版,没升级到最新的EAP,看到这个新闻去插件库搜了vue就找到了,装上后就能用,不限定Pycharm的
2017-02-23 11:38
2
举报
#Vue.js# 非常国际化,越来越牛逼
2017-02-23 07:35
2
举报
最新评论 (11)

引用来自“红薯”的评论

#Vue.js# 非常国际化,越来越牛逼

引用来自“邪恶胖子”的评论

什么时候能支持移动开发,类似与ionic的框架

引用来自“龙影”的评论

支持啊
大兄弟,求科普啊
2017-02-23 22:56
0
回复
举报
webstormwebstorm干嘛去了
2017-02-23 17:09
2
回复
举报

引用来自“jun4rui”的评论

其实重点的vue.js这个插件,jetbarin系IDE自带的插件库都有,我是IDEA终极版,没升级到最新的EAP,看到这个新闻去插件库搜了vue就找到了,装上后就能用,不限定Pycharm的
虽然也没装EAP,但我觉得这里的vue.js插件和现在IDEA中找出来的那个插件是不一样的,那个是个人开发的,才8k。
2017-02-23 15:14
0
回复
举报

引用来自“红薯”的评论

#Vue.js# 非常国际化,越来越牛逼

引用来自“邪恶胖子”的评论

什么时候能支持移动开发,类似与ionic的框架
支持啊
2017-02-23 12:51
0
回复
举报

引用来自“jun4rui”的评论

其实重点的vue.js这个插件,jetbarin系IDE自带的插件库都有,我是IDEA终极版,没升级到最新的EAP,看到这个新闻去插件库搜了vue就找到了,装上后就能用,不限定Pycharm的
原来如此
2017-02-23 11:50
0
回复
举报
其实重点的vue.js这个插件,jetbarin系IDE自带的插件库都有,我是IDEA终极版,没升级到最新的EAP,看到这个新闻去插件库搜了vue就找到了,装上后就能用,不限定Pycharm的
2017-02-23 11:38
2
回复
举报
牛逼
2017-02-23 10:28
0
回复
举报
为什么是 PyCharm 支持?
2017-02-23 08:42
0
回复
举报
#Vue.js# 为了vue.js看来我的pycharm要继续续订了
2017-02-23 08:41
0
回复
举报

引用来自“红薯”的评论

#Vue.js# 非常国际化,越来越牛逼
什么时候能支持移动开发,类似与ionic的框架
2017-02-23 08:08
0
回复
举报
更多评论
11 评论
8 收藏
分享
返回顶部
顶部